Realms API Reference

Realms

For authentication instructions, see API overview.

get

List all realms

Returns a list of realms. The realms are returned in sorted order, with the most recent appearing first.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

  • orderstring

    The order of the records

  • sortBystring

    The sort of the records

  • fieldsstring

    The filter of the records

  • pstring

    policyFilters

  • qstring

    search query

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/realms

Response

No response schema
post

Create realm

Create realm. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • namestring
  • membersarray
  • primaryColorstring
  • secondaryColorstring
  • logoFilestring
  • citystring
  • cityArstring
  • countrystring
  • countryArstring
  • addressesarray
  • bankInfoany
  • contactsarray
  • isCompanyboolean
  • companyInfoobject
  • localestring
  • currencystring
  • idengagerServerUrlstring
  • idengagerAppIdstring
  • idengagerMasterKeystring
  • thirdPartiesobject
  • idataWorkersKeystring
  • idataWorkersUrlstring
  • revenueTypesarray

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/realms \
-d 'name="string"' \
-d 'members="array"' \
-d 'primaryColor="string"' \
-d 'secondaryColor="string"' \
-d 'logoFile="string"' \
-d 'city="string"' \
-d 'cityAr="string"' \
-d 'country="string"' \
-d 'countryAr="string"' \
-d 'addresses="array"' \
-d 'bankInfo=""' \
-d 'contacts="array"' \
-d 'isCompany="boolean"' \
-d 'companyInfo="object"' \
-d 'locale="string"' \
-d 'currency="string"' \
-d 'idengagerServerUrl="string"' \
-d 'idengagerAppId="string"' \
-d 'idengagerMasterKey="string"' \
-d 'thirdParties="object"' \
-d 'idataWorkersKey="string"' \
-d 'idataWorkersUrl="string"' \
-d 'revenueTypes="array"'

Response

No response schema
get

Retrieve realm

Returns a single real, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the realm

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/realms/:id

Response

No response schema
patch

Update realm

Update realm by setting the values of the parameters passed. Any parameters not set will be unchanged.

Path parameters

  • idstring

    ID of the realm

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/realms/:id

Response

No response schema
delete

Delete realm

Path parameters

  • idstring

    ID of the realm

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/realms/:id

Response

No response schema
get

Retrieve realm

Returns a single real, which you can request by passing through an id in the url.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/realms/adminrealm

Response

No response schema
post

Create realm

Create realm. You need to pass through any required fields, and you can optionally pass through other fields.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/realms/adminrealmdefault

Response

No response schema
put

Update realm

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/realms/uploadPrerequisites

Response

No response schema